%define module_dir Video
%define module_name DVDRip
%define _name dvdrip

Name: perl-%module_dir-%module_name
Version: 0.52.3
Release: alt2

Summary: DVD ripping graphical tool using transcode
License: GPL/Artistic
Group: Video
Url: http://www.exit1.org/dvdrip/
Source: %url/dist/%module_dir-%module_name-%version.tar.gz
Source1: %_name.png

Patch: %name-0.50.16-alt-deparse.patch

#BuildArch: noarch

# Hack to avoid bug in perl.prov
#Provides: perl(Video/DVDRip/GUI/MinSizeGroup.pm)
#Provides: perl(Video/DVDRip/GUI/Setting.pm)
#Provides: perl(Video/DVDRip/GUI/Setting/Checkbox.pm)
#Provides: perl(Video/DVDRip/GUI/Setting/Text.pm)

Requires: perl-libintl >= 1.11-alt2
Requires: transcode >= 0.6.14
Requires: mjpegtools >= 1.6.0
Requires: ImageMagick
Requires: ogmtools >= 1.0.2
# burning related tools
Requires: mkisofs
Requires: cdrecord
Requires: cdrdao
Requires: vcdimager
#Requires: fping
#Requires: rar
#Requires: subtitleripper

# Automatically added by buildreq on Sun Jan 23 2005 (-bi)
BuildRequires: ImageMagick MPlayer XFree86-libs aalib cdrdao cdrecord esound fontconfig freetype2 gdk-pixbuf glib gtk+ mjpegtools mkisofs ogmtools perl-Encode perl-Event perl-GTK-GdkPixbuf perl-Storable perl-devel perl-libintl transcode vcdimager xine-ui xvid

%description
dvd::rip is a full featured DVD copy program written in Perl.
It provides an easy to use but feature-rich Gtk+ GUI to control almost
all aspects of the ripping and transcoding process. It uses the widely
known video processing swissknife transcode and many other Open Source
tools.

%prep
%setup -q -n %module_dir-%module_name-%version
%patch -p1

%build
# SMP-incompatible build
%define __nprocs 1
%perl_vendor_build

%install
%perl_vendor_install

# menu
%__cat <<__MENU__ >%_name.menu
?package(%name): needs="x11" section="Multimedia/Video" \
title="DVDRip" longtitle="DVD ripping graphical tool" \
command="%_bindir/%_name" icon="%_name.png"
__MENU__

%__install -pD -m644 %_name.menu %buildroot%_menudir/%_name
%__install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/%_name.png

%__mkdir_p %buildroot%_datadir
%__mv %buildroot%perl_vendor_privlib/LocaleData %buildroot%_datadir/locale

%find_lang --output=%_name.lang video.dvdrip

%post
%update_menus

%postun
%clean_menus

%files -f %_name.lang
%_bindir/*
%perl_vendor_privlib/%module_dir/*
%perl_vendor_man1dir/*
%perl_vendor_man3dir/*
%_datadir/pixmaps/*
%_menudir/*
%doc Changes Credits README TODO

#6501

%changelog
* Sun Apr 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.52.3-alt2
- build as arch dependant package (close #6501).
- requires perl-libintl >= 1.11-alt2 for working i18n.

* Mon Mar 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.52.3-alt1
- new version.

* Fri Jan 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.52.2-alt1.1
- fixed %%install.

* Sun Jan 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.52.2-alt1
- 0.52.2

* Thu Dec 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.51.4-alt1
- 0.51.4

* Mon Jun 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.50.18-alt1
- install icon (#close #4449)

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.50.18-alt0.5
- 0.50.18

* Mon Nov 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.16-alt0.5
- 0.50.16
- deparse patch by at@.

* Sat May 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.13-alt0.5
- 0.50.13 

* Thu May 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.12-alt0.5
- 0.50.12

* Sun Apr 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.11-alt0.5
- 0.50.11

* Sat Mar 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.9-alt0.5
- 0.50.9

* Wed Mar 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.7-alt0.5
- 0.50.7

* Mon Mar 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.5-alt0.5
- 0.50.5

* Thu Feb 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.50.4-alt0.5
- First build for Sisyphus.

